Bug 312440 - Facial Detection
Summary: Facial Detection
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Detection (show other bugs)
Version: 2.8.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-31 17:10 UTC by dduffley
Modified: 2017-07-26 17:59 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dduffley 2012-12-31 17:10:11 UTC
Application: digikam (2.8.0)
KDE Platform Version: 4.9.3
Qt Version: 4.8.3
Operating System: Linux 3.5.0-21-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:
I was running the facial recognition part of the app against thousands of photos and left the ubuntu running.  When I came back all I saw was this bug report.

- Custom settings of the application:
None

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
[Current thread is 1 (Thread 0x7f46c1d37a00 (LWP 16688))]

Thread 71 (Thread 0x7f469bd7b700 (LWP 16690)):
#0  0x00007f46bb0d8303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f46b43e5d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e61e2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46aa3514a6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f46b4409645 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f46b69c1e9a in start_thread (arg=0x7f469bd7b700) at pthread_create.c:308
#6  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 70 (Thread 0x7f46936a7700 (LWP 16749)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f46bbebb04b in wait (time=18446744073709551615, this=0x2b9b290) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x32a2048, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005eea33 in Digikam::ScanController::run() ()
#4  0x00007f46bbebaaec in QThreadPrivate::start (arg=0x29e5910) at thread/qthread_unix.cpp:338
#5  0x00007f46b69c1e9a in start_thread (arg=0x7f46936a7700) at pthread_create.c:308
#6  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 69 (Thread 0x7f4692ea6700 (LWP 16750)):
#0  0x00007f46bb0d68bd in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f46b442215f in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5914 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46b43e5d22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f46880008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f4692ea5b50, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f4692ea5b50, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f46bbeb7b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f46bbf969af in QInotifyFileSystemWatcherEngine::run (this=0x32481b0) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f46bbebaaec in QThreadPrivate::start (arg=0x32481b0) at thread/qthread_unix.cpp:338
#11 0x00007f46b69c1e9a in start_thread (arg=0x7f4692ea6700) at pthread_create.c:308
#12 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 68 (Thread 0x7f46926a5700 (LWP 16753)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f46bbebb04b in wait (time=18446744073709551615, this=0x2a45a50) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2ff4518, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f46bf31aa47 in Digikam::ParkingThread::run() () from /usr/lib/libdigikamcore.so.2
#4  0x00007f46bbebaaec in QThreadPrivate::start (arg=0x2ff4500) at thread/qthread_unix.cpp:338
#5  0x00007f46b69c1e9a in start_thread (arg=0x7f46926a5700) at pthread_create.c:308
#6  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 67 (Thread 0x7f468186c700 (LWP 16774)):
#0  0x00007f46bb0d8303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f46b43e5d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f46700025c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f468186bb50, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f468186bb50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f46bbeb7b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f46bbf969af in QInotifyFileSystemWatcherEngine::run (this=0x5da2e50) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f46bbebaaec in QThreadPrivate::start (arg=0x5da2e50) at thread/qthread_unix.cpp:338
#9  0x00007f46b69c1e9a in start_thread (arg=0x7f468186c700) at pthread_create.c:308
#10 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 66 (Thread 0x7f4682cfb700 (LWP 16775)):
#0  0x00007f46bb0d8303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f46b43e5d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f46600008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f4682cfab50, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f4682cfab50, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f46bbeb7b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f46bbf969af in QInotifyFileSystemWatcherEngine::run (this=0x5d63a90) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f46bbebaaec in QThreadPrivate::start (arg=0x5d63a90) at thread/qthread_unix.cpp:338
#9  0x00007f46b69c1e9a in start_thread (arg=0x7f4682cfb700) at pthread_create.c:308
#10 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 65 (Thread 0x7f464effd700 (LWP 17284)):
#0  0x00007f46b43e387d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f46b43e5597 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f4640001b00, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f464effcb50, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f464effcb50, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f46bbeb7b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f46bbf969af in QInotifyFileSystemWatcherEngine::run (this=0x712e2e0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f46bbebaaec in QThreadPrivate::start (arg=0x712e2e0) at thread/qthread_unix.cpp:338
#10 0x00007f46b69c1e9a in start_thread (arg=0x7f464effd700) at pthread_create.c:308
#11 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 64 (Thread 0x7f465e498700 (LWP 17737)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f46bbeb9594 in _q_futex (timeout=0x0, val=2, op=0, addr=0x2a2edc0, addr2=<optimized out>, val2=<optimized out>) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x2a2edc0, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007f46bbeb57a5 in QMutex::lockInternal (this=<optimized out>) at thread/qmutex.cpp:450
#4  0x00007f46bf2e7ee2 in Digikam::LoadingCache::CacheLock::CacheLock(Digikam::LoadingCache*) () from /usr/lib/libdigikamcore.so.2
#5  0x00007f46bf2ef02a in Digikam::SharedLoadingTask::progressInfo(Digikam::DImg const*, float) () from /usr/lib/libdigikamcore.so.2
#6  0x00007f46bf14196c in Digikam::JPEGLoader::load(QString const&, Digikam::DImgLoaderObserver*) () from /usr/lib/libdigikamcore.so.2
#7  0x00007f46bf10c0e5 in Digikam::DImg::load(QString const&, int, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding) () from /usr/lib/libdigikamcore.so.2
#8  0x00007f46bf10bd3b in Digikam::DImg::load(QString const&, bool, bool, bool, bool, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding) () from /usr/lib/libdigikamcore.so.2
#9  0x00007f46bf2f6aeb in Digikam::ThumbnailCreator::loadWithDImg(QString const&, Digikam::IccProfile*) const () from /usr/lib/libdigikamcore.so.2
#10 0x00007f46bf2f60cd in Digikam::ThumbnailCreator::createThumbnail(Digikam::ThumbnailInfo const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.2
#11 0x00007f46bf2f4e03 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.2
#12 0x00007f46bf2f4a38 in Digikam::ThumbnailCreator::load(QString const&) const () from /usr/lib/libdigikamcore.so.2
#13 0x00007f46bf303905 in Digikam::ThumbnailLoadingTask::execute() () from /usr/lib/libdigikamcore.so.2
#14 0x00007f46bf2de6d1 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#15 0x00007f46bf31cc78 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#16 0x00007f46bbeae45d in QThreadPoolThread::run (this=0x113be8f0) at concurrent/qthreadpool.cpp:107
#17 0x00007f46bbebaaec in QThreadPrivate::start (arg=0x113be8f0) at thread/qthread_unix.cpp:338
#18 0x00007f46b69c1e9a in start_thread (arg=0x7f465e498700) at pthread_create.c:308
#19 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 63 (Thread 0x7f465d496700 (LWP 17738)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f465d496700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 62 (Thread 0x7f464dffb700 (LWP 17739)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f464dffb700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 61 (Thread 0x7f465cc95700 (LWP 17740)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f465cc95700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 60 (Thread 0x7f46457fa700 (LWP 18909)):
#0  0x00007f46bb0d8303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f46b43e5d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f4610000930, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f46457f9b40, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f46457f9b40, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f46bf319fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f46bbeae45d in QThreadPoolThread::run (this=0x8382a90) at concurrent/qthreadpool.cpp:107
#8  0x00007f46bbebaaec in QThreadPrivate::start (arg=0x8382a90) at thread/qthread_unix.cpp:338
#9  0x00007f46b69c1e9a in start_thread (arg=0x7f46457fa700) at pthread_create.c:308
#10 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 59 (Thread 0x7f46467fc700 (LWP 18910)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f46bbeb9594 in _q_futex (timeout=0x0, val=2, op=0, addr=0x2a2edc0, addr2=<optimized out>, val2=<optimized out>) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x2a2edc0, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007f46bbeb57a5 in QMutex::lockInternal (this=<optimized out>) at thread/qmutex.cpp:450
#4  0x00007f46bbebaff9 in QWaitCondition::wait (this=<optimized out>, mutex=0x2eac5b0, time=1000) at thread/qwaitcondition_unix.cpp:160
#5  0x00007f46bf2e7f73 in Digikam::LoadingCache::CacheLock::timedWait() () from /usr/lib/libdigikamcore.so.2
#6  0x00007f46bf2f0e6e in Digikam::PreviewLoadingTask::execute() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f46bf2de6d1 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#8  0x00007f46bf31cc78 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#9  0x00007f46bbeae45d in QThreadPoolThread::run (this=0x33364e0) at concurrent/qthreadpool.cpp:107
#10 0x00007f46bbebaaec in QThreadPrivate::start (arg=0x33364e0) at thread/qthread_unix.cpp:338
#11 0x00007f46b69c1e9a in start_thread (arg=0x7f46467fc700) at pthread_create.c:308
#12 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 58 (Thread 0x7f465dc97700 (LWP 18912)):
[KCrash Handler]
#6  0x00007f46bb026425 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f46bb029b8b in __GI_abort () at abort.c:91
#8  0x00007f46bb921e2d in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#9  0x00007f46bb91ff26 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#10 0x00007f46bb91ff53 in std::terminate() () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#11 0x00007f46bb920a6f in __cxa_pure_virtual () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6
#12 0x00007f46bf2ef069 in Digikam::SharedLoadingTask::progressInfo(Digikam::DImg const*, float) () from /usr/lib/libdigikamcore.so.2
#13 0x00007f46bf1412da in Digikam::JPEGLoader::load(QString const&, Digikam::DImgLoaderObserver*) () from /usr/lib/libdigikamcore.so.2
#14 0x00007f46bf10c0e5 in Digikam::DImg::load(QString const&, int, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding) () from /usr/lib/libdigikamcore.so.2
#15 0x00007f46bf10bbec in Digikam::DImg::load(QString const&, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding) () from /usr/lib/libdigikamcore.so.2
#16 0x00007f46bf2f1ac7 in Digikam::PreviewLoadingTask::execute() () from /usr/lib/libdigikamcore.so.2
#17 0x00007f46bf2de6d1 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#18 0x00007f46bf31cc78 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#19 0x00007f46bbeae45d in QThreadPoolThread::run (this=0x1c50ebb0) at concurrent/qthreadpool.cpp:107
#20 0x00007f46bbebaaec in QThreadPrivate::start (arg=0x1c50ebb0) at thread/qthread_unix.cpp:338
#21 0x00007f46b69c1e9a in start_thread (arg=0x7f465dc97700) at pthread_create.c:308
#22 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#23 0x0000000000000000 in ?? ()

Thread 57 (Thread 0x7f464e7fc700 (LWP 18913)):
#0  0x00007f46b69c505d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f45f8014c70) at pthread_mutex_unlock.c:290
#2  0x00007f46b4422e51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46b43e5eae in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f45f80013e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f464e7fbb40, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f464e7fbb40, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f46bf319fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#8  0x00007f46bbeae45d in QThreadPoolThread::run (this=0x6eabb30) at concurrent/qthreadpool.cpp:107
#9  0x00007f46bbebaaec in QThreadPrivate::start (arg=0x6eabb30) at thread/qthread_unix.cpp:338
#10 0x00007f46b69c1e9a in start_thread (arg=0x7f464e7fc700) at pthread_create.c:308
#11 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 56 (Thread 0x7f4647dff700 (LWP 18914)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f46b16e8293 in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f46b16e82c9 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f46b69c1e9a in start_thread (arg=0x7f4647dff700) at pthread_create.c:308
#4  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 55 (Thread 0x7f46475fd700 (LWP 18916)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f46b16e8293 in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f46b16e82c9 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f46b69c1e9a in start_thread (arg=0x7f46475fd700) at pthread_create.c:308
#4  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 54 (Thread 0x7f46479fe700 (LWP 18915)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f46b16e8293 in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f46b16e82c9 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f46b69c1e9a in start_thread (arg=0x7f46479fe700) at pthread_create.c:308
#4  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 53 (Thread 0x7f464cabc700 (LWP 18942)):
#0  0x00007f46b4422baa in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f46b4422e19 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5623 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46b43e5cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f46308271e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f464cabbb40, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f464cabbb40, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f46bf319fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#9  0x00007f46bbeae45d in QThreadPoolThread::run (this=0x43dca00) at concurrent/qthreadpool.cpp:107
#10 0x00007f46bbebaaec in QThreadPrivate::start (arg=0x43dca00) at thread/qthread_unix.cpp:338
#11 0x00007f46b69c1e9a in start_thread (arg=0x7f464cabc700) at pthread_create.c:308
#12 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 52 (Thread 0x7f46471fc700 (LWP 18943)):
#0  0x00007f46b69c505d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f46140008c0) at pthread_mutex_unlock.c:290
#2  0x00007f46b4422e51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46b43e5884 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f46b43e5d22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f46140008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f46471fbb40, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f46471fbb40, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f46bf319fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#10 0x00007f46bbeae45d in QThreadPoolThread::run (this=0xbad2e40) at concurrent/qthreadpool.cpp:107
#11 0x00007f46bbebaaec in QThreadPrivate::start (arg=0xbad2e40) at thread/qthread_unix.cpp:338
#12 0x00007f46b69c1e9a in start_thread (arg=0x7f46471fc700) at pthread_create.c:308
#13 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 51 (Thread 0x7f4644ff9700 (LWP 18944)):
#0  0x00007f46bb0d8303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f46b43e5d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f4620cf6120, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f4644ff8b40, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f4644ff8b40, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f46bf319fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f46bbeae45d in QThreadPoolThread::run (this=0xaf487b0) at concurrent/qthreadpool.cpp:107
#8  0x00007f46bbebaaec in QThreadPrivate::start (arg=0xaf487b0) at thread/qthread_unix.cpp:338
#9  0x00007f46b69c1e9a in start_thread (arg=0x7f4644ff9700) at pthread_create.c:308
#10 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 50 (Thread 0x7f463ffff700 (LWP 18945)):
#0  __pthread_mutex_lock (mutex=0x7f460c0008c0) at pthread_mutex_lock.c:92
#1  0x00007f46b4422e21 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5897 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46b43e5d22 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f460c0008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f463fffeb40, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f463fffeb40, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f46bf319fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#9  0x00007f46bbeae45d in QThreadPoolThread::run (this=0x156fd220) at concurrent/qthreadpool.cpp:107
#10 0x00007f46bbebaaec in QThreadPrivate::start (arg=0x156fd220) at thread/qthread_unix.cpp:338
#11 0x00007f46b69c1e9a in start_thread (arg=0x7f463ffff700) at pthread_create.c:308
#12 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 49 (Thread 0x7f463effd700 (LWP 18947)):
#0  0x00007f46bb0f18c0 in pthread_mutex_lock (mutex=0x7f46080008c0) at forward.c:182
#1  0x00007f46b4422e21 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5193 in g_main_context_release () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46b43e5d35 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f46080008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f463effcb40, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f463effcb40, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f46bf319fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#9  0x00007f46bbeae45d in QThreadPoolThread::run (this=0x7a5bda0) at concurrent/qthreadpool.cpp:107
#10 0x00007f46bbebaaec in QThreadPrivate::start (arg=0x7a5bda0) at thread/qthread_unix.cpp:338
#11 0x00007f46b69c1e9a in start_thread (arg=0x7f463effd700) at pthread_create.c:308
#12 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 48 (Thread 0x7f463e7fc700 (LWP 18948)):
#0  0x00007f46b4422ba0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f46b4422e19 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e504e in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46b43e5c64 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f4638001940, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f463e7fbb40, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f463e7fbb40, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f46bf319fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#9  0x00007f46bbeae45d in QThreadPoolThread::run (this=0x17f367e0) at concurrent/qthreadpool.cpp:107
#10 0x00007f46bbebaaec in QThreadPrivate::start (arg=0x17f367e0) at thread/qthread_unix.cpp:338
#11 0x00007f46b69c1e9a in start_thread (arg=0x7f463e7fc700) at pthread_create.c:308
#12 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 47 (Thread 0x7f463dffb700 (LWP 18949)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f463dffb700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 46 (Thread 0x7f463d7fa700 (LWP 18950)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f463d7fa700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 45 (Thread 0x7f463cff9700 (LWP 18951)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f463cff9700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 44 (Thread 0x7f4635238700 (LWP 18953)):
#0  0x00007f46b4422e68 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f46b43e5c5c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f46bbfe5c16 in QEventDispatcherGlib::processEvents (this=0x7f45c80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7f4635237b40, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f46bbfb6548 in QEventLoop::exec (this=0x7f4635237b40, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f46bf319fd3 in Digikam::WorkerObjectRunnable::run() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f46bbeae45d in QThreadPoolThread::run (this=0xd97a120) at concurrent/qthreadpool.cpp:107
#8  0x00007f46bbebaaec in QThreadPrivate::start (arg=0xd97a120) at thread/qthread_unix.cpp:338
#9  0x00007f46b69c1e9a in start_thread (arg=0x7f4635238700) at pthread_create.c:308
#10 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 43 (Thread 0x7f4634a37700 (LWP 18954)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f4634a37700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 42 (Thread 0x7f461d238700 (LWP 18955)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f461d238700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 41 (Thread 0x7f461ca37700 (LWP 18956)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f461ca37700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 40 (Thread 0x7f4637fff700 (LWP 18957)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f4637fff700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 39 (Thread 0x7f46377fe700 (LWP 18958)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f46377fe700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 38 (Thread 0x7f4636ffd700 (LWP 18959)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f4636ffd700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 37 (Thread 0x7f46367fc700 (LWP 18960)):
#0  0x00007f46b69c3eb4 in __pthread_mutex_lock (mutex=0x7f46a5962f48) at pthread_mutex_lock.c:61
#1  0x00007f46a56cf9a5 in sqlite3_free () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#2  0x00007f46a56d7f87 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#3  0x00007f46a5727748 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#4  0x00007f46a5719d53 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#5  0x00007f46a571d891 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#6  0x00007f46a571f4a2 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#7  0x00007f46a571f709 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#8  0x00007f46a571f847 in ?? () from /usr/lib/x86_64-linux-gnu/libsqlite3.so.0
#9  0x00007f4691c9e7de in QSQLiteResult::prepare (this=0x7f45fc0b6010, query=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:360
#10 0x00007f46c1962efa in QSqlResult::savePrepare (this=0x7f45fc0b6010, query=...) at kernel/qsqlresult.cpp:601
#11 0x00007f46c19567db in QSqlQuery::prepare (this=0x7f46367fb368, query=...) at kernel/qsqlquery.cpp:930
#12 0x00007f46bf2d9d9f in Digikam::SqlQuery::prepare(QString const&) () from /usr/lib/libdigikamcore.so.2
#13 0x00007f46bf2c9d9b in Digikam::DatabaseCoreBackend::prepareQuery(QString const&) () from /usr/lib/libdigikamcore.so.2
#14 0x00007f46bf2c823a in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib/libdigikamcore.so.2
#15 0x00007f46bf2c7d5b in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QList<QVariant>*, QVariant*) () from /usr/lib/libdigikamcore.so.2
#16 0x00007f46bf2d3e47 in Digikam::ThumbnailDB::insertThumbnail(Digikam::DatabaseThumbnailInfo const&, QVariant*) () from /usr/lib/libdigikamcore.so.2
#17 0x00007f46bf2f7a31 in Digikam::ThumbnailCreator::storeInDatabase(Digikam::ThumbnailInfo const&, Digikam::ThumbnailImage const&) const () from /usr/lib/libdigikamcore.so.2
#18 0x00007f46bf2f4e76 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib/libdigikamcore.so.2
#19 0x00007f46bf2f48b8 in Digikam::ThumbnailCreator::pregenerate(QString const&) const () from /usr/lib/libdigikamcore.so.2
#20 0x00007f46bf303435 in Digikam::ThumbnailLoadingTask::execute() () from /usr/lib/libdigikamcore.so.2
#21 0x00007f46bf2de6d1 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#22 0x00007f46bf31cc78 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#23 0x00007f46bbeae45d in QThreadPoolThread::run (this=0xa723470) at concurrent/qthreadpool.cpp:107
#24 0x00007f46bbebaaec in QThreadPrivate::start (arg=0xa723470) at thread/qthread_unix.cpp:338
#25 0x00007f46b69c1e9a in start_thread (arg=0x7f46367fc700) at pthread_create.c:308
#26 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#27 0x0000000000000000 in ?? ()

Thread 36 (Thread 0x7f4635ffb700 (LWP 18961)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f4635ffb700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 35 (Thread 0x7f45e2a82700 (LWP 18962)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e2a82700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 34 (Thread 0x7f45e2281700 (LWP 18963)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e2281700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 33 (Thread 0x7f45ed9eb700 (LWP 18964)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f46bbebb04b in wait (time=18446744073709551615, this=0xc3c6820) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x963da20, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f46bf31c5de in Digikam::DynamicThread::DynamicThreadPriv::transitionToRunning() () from /usr/lib/libdigikamcore.so.2
#4  0x00007f46bf31cc48 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#5  0x00007f46bbeae45d in QThreadPoolThread::run (this=0xb7be200) at concurrent/qthreadpool.cpp:107
#6  0x00007f46bbebaaec in QThreadPrivate::start (arg=0xb7be200) at thread/qthread_unix.cpp:338
#7  0x00007f46b69c1e9a in start_thread (arg=0x7f45ed9eb700) at pthread_create.c:308
#8  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 32 (Thread 0x7f461ffff700 (LWP 18965)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f461ffff700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 31 (Thread 0x7f461f7fe700 (LWP 18966)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f461f7fe700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 30 (Thread 0x7f461effd700 (LWP 18967)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f461effd700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 29 (Thread 0x7f461e7fc700 (LWP 18968)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f461e7fc700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 28 (Thread 0x7f461dffb700 (LWP 18969)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f461dffb700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 27 (Thread 0x7f45ed1ea700 (LWP 18970)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45ed1ea700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 26 (Thread 0x7f45e57ad700 (LWP 18972)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e57ad700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 25 (Thread 0x7f45e4fac700 (LWP 18973)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e4fac700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7f45e47ab700 (LWP 18974)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e47ab700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7f45e6e5b700 (LWP 18977)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f46bbeb9594 in _q_futex (timeout=0x0, val=2, op=0, addr=0x2a2edc0, addr2=<optimized out>, val2=<optimized out>) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x2a2edc0, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007f46bbeb57a5 in QMutex::lockInternal (this=<optimized out>) at thread/qmutex.cpp:450
#4  0x00007f46bf2e7ee2 in Digikam::LoadingCache::CacheLock::CacheLock(Digikam::LoadingCache*) () from /usr/lib/libdigikamcore.so.2
#5  0x00007f46bf2ef02a in Digikam::SharedLoadingTask::progressInfo(Digikam::DImg const*, float) () from /usr/lib/libdigikamcore.so.2
#6  0x00007f46bf1412da in Digikam::JPEGLoader::load(QString const&, Digikam::DImgLoaderObserver*) () from /usr/lib/libdigikamcore.so.2
#7  0x00007f46bf10c0e5 in Digikam::DImg::load(QString const&, int, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding) () from /usr/lib/libdigikamcore.so.2
#8  0x00007f46bf10bbec in Digikam::DImg::load(QString const&, Digikam::DImgLoaderObserver*, Digikam::DRawDecoding) () from /usr/lib/libdigikamcore.so.2
#9  0x00007f46bf2f1ac7 in Digikam::PreviewLoadingTask::execute() () from /usr/lib/libdigikamcore.so.2
#10 0x00007f46bf2de6d1 in Digikam::LoadSaveThread::run() () from /usr/lib/libdigikamcore.so.2
#11 0x00007f46bf31cc78 in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib/libdigikamcore.so.2
#12 0x00007f46bbeae45d in QThreadPoolThread::run (this=0x96870a0) at concurrent/qthreadpool.cpp:107
#13 0x00007f46bbebaaec in QThreadPrivate::start (arg=0x96870a0) at thread/qthread_unix.cpp:338
#14 0x00007f46b69c1e9a in start_thread (arg=0x7f45e6e5b700) at pthread_create.c:308
#15 0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#16 0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7f45ec9e9700 (LWP 18979)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45ec9e9700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7f45ec1e8700 (LWP 18980)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45ec1e8700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7f45eb9e7700 (LWP 18981)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45eb9e7700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f45e83d0700 (LWP 19127)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e83d0700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f45e8bd2700 (LWP 19128)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e8bd2700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f45e7bcf700 (LWP 19129)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e7bcf700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f45dce58700 (LWP 19133)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45dce58700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f45d59eb700 (LWP 19134)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45d59eb700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f45d51ea700 (LWP 19135)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45d51ea700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f45d49e9700 (LWP 19137)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45d49e9700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f45cffff700 (LWP 19138)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45cffff700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f45cf7fe700 (LWP 19139)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45cf7fe700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f45effff700 (LWP 19156)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45effff700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f45ef7fe700 (LWP 19157)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45ef7fe700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f45eeffd700 (LWP 19158)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45eeffd700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f45ee7fc700 (LWP 19170)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45ee7fc700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f45eb1e6700 (LWP 19171)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45eb1e6700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f45ea9e5700 (LWP 19172)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45ea9e5700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f45e127f700 (LWP 19176)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e127f700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f45e0a7e700 (LWP 19177)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e0a7e700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f45e027d700 (LWP 19178)):
#0  0x00007f46b734dfb6 in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#1  0x00007f46b734c82e in ?? () from /usr/lib/x86_64-linux-gnu/libgomp.so.1
#2  0x00007f46b69c1e9a in start_thread (arg=0x7f45e027d700) at pthread_create.c:308
#3  0x00007f46bb0e3cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f46c1d37a00 (LWP 16688)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:39
#1  0x00007f46bbeb9594 in _q_futex (timeout=0x0, val=2, op=0, addr=0x2a2edc0, addr2=<optimized out>, val2=<optimized out>) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=0x2a2edc0, timeout=<optimized out>) at thread/qmutex_unix.cpp:113
#3  0x00007f46bbeb57a5 in QMutex::lockInternal (this=<optimized out>) at thread/qmutex.cpp:450
#4  0x00007f46bf2e7ee2 in Digikam::LoadingCache::CacheLock::CacheLock(Digikam::LoadingCache*) () from /usr/lib/libdigikamcore.so.2
#5  0x00007f46bf2ef19e in Digikam::SharedLoadingTask::setStatus(Digikam::LoadingTask::LoadingTaskStatus) () from /usr/lib/libdigikamcore.so.2
#6  0x00007f46bf2dfe78 in Digikam::ManagedLoadSaveThread::shutDown() () from /usr/lib/libdigikamcore.so.2
#7  0x00007f46bf2faaf1 in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread() () from /usr/lib/libdigikamcore.so.2
#8  0x00007f46bf2fabb0 in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread() () from /usr/lib/libdigikamcore.so.2
#9  0x00007f46bf2fa73a in Digikam::._245::destroy() () from /usr/lib/libdigikamcore.so.2
#10 0x00007f46bf11925d in KCleanUpGlobalStatic::~KCleanUpGlobalStatic() () from /usr/lib/libdigikamcore.so.2
#11 0x00007f46bb02b901 in __run_exit_handlers (status=1, listp=0x7f46bb3a86a8 <__exit_funcs>, run_list_atexit=true) at exit.c:78
#12 0x00007f46bb02b985 in __GI_exit (status=<optimized out>) at exit.c:100
#13 0x00007f46b0679314 in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
#14 0x00007f46bd69ffb8 in KApplication::xioErrhandler (this=0x7fff5f301020, dpy=0x2863e50) at ../../kdeui/kernel/kapplication.cpp:419
#15 0x00007f46b95fb59e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#16 0x00007f46b95f903d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#17 0x00007f46b95ea60b in XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#18 0x00007f46bca3dad7 in x11EventSourcePrepare (s=0x285d250, timeout=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:77
#19 0x00007f46b43e5618 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#20 0x00007f46b43e5cab in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f46b43e5ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f46bbfe5bf6 in QEventDispatcherGlib::processEvents (this=0x27f6be0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#23 0x00007f46bca3dc1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#24 0x00007f46bbfb62bf in QEventLoop::processEvents (this=this@entry=0x7fff5f300a60, flags=...) at kernel/qeventloop.cpp:149
#25 0x00007f46bbfb6548 in QEventLoop::exec (this=0x7fff5f300a60, flags=...) at kernel/qeventloop.cpp:204
#26 0x00007f46bbfbb708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#27 0x00000000006cbd33 in main ()

Reported using DrKonqi
Comment 1 caulier.gilles 2014-05-16 07:29:55 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 2 caulier.gilles 2014-06-11 21:29:59 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 3 caulier.gilles 2014-06-11 21:40:22 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 4 caulier.gilles 2014-06-18 14:40:22 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 5 caulier.gilles 2014-06-24 13:10:23 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 6 caulier.gilles 2014-06-24 13:53:16 UTC
With next digiKam 4.1.0, a lots of improvements/fixes have be done around face management. Please give us a fresh feedback.

Note i recommend to delete face recognition database to prevent dysfunction due to possible wrong data store in this container. Look where file is located in my computer :

[gilles@localhost database]$ pwd
/home/gilles/.kde4/share/apps/libkface/database
[gilles@localhost database]$ ls -al
total 397028
drwx------ 2 gilles gilles      4096 juin  24 14:22 ./
drwx------ 3 gilles gilles      4096 juin  18 19:08 ../
-rw-r--r-- 1 gilles gilles 406543360 juin  24 14:22 recognition.db
[gilles@localhost database]$
Comment 7 caulier.gilles 2014-08-24 08:54:49 UTC
We need a fresh feedback about this file using last digiKam 4.2.0.

Gilles Caulier
Comment 8 caulier.gilles 2015-06-27 13:43:52 UTC
New digiKam 4.11.0 is available :

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles caulier
Comment 9 caulier.gilles 2015-08-21 07:04:09 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.
Comment 10 caulier.gilles 2016-07-14 05:56:07 UTC
With next 5.1.0 release, a lots of investigations have be done around OpenCV
face module integration with digiKam Face Engine.
See bug #365202 history for details.
I close this file now. Don't hesistate to re-open if necessary.
Gilles Caulier